## premake4 4.3+repack1

=== build/gmake.macosx/Makefile ===
# GNU Make solution makefile autogenerated by Premake
# Type "make help" for usage help

ifndef config
  config=release
endif
export config

PROJECTS := Premake4

.PHONY: all clean help $(PROJECTS)

all: $(PROJECTS)

Premake4: 
	@echo "==== Building Premake4 ($(config)) ===="
	@${MAKE} --no-print-directory -C . -f Premake4.make

clean:
	@${MAKE} --no-print-directory -C . -f Premake4.make clean

help:
	@echo "Usage: make [config=name] [target]"
	@echo ""
	@echo "CONFIGURATIONS:"
	@echo "   release"
	@echo "   debug"
	@echo "   releaseuniv32"
	@echo "   debuguniv32"
	@echo ""
	@echo "TARGETS:"
	@echo "   all (default)"
	@echo "   clean"
	@echo "   Premake4"
	@echo ""
	@echo "For more information, see http://industriousone.com/premake/quick-start"

## premake4 4.3%2Brepack1

=== debian/control ===
Source: premake4
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Cameron Hart <cam@bitshifter.net.nz>
Build-Depends: debhelper (>= 7), cdbs (>= 0.4.89), liblua5.1-0-dev, pkg-config
Standards-Version: 3.9.4
Homepage: http://industriousone.com/premake

Package: premake4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: cross-platform build script generator
 Premake allows you to manage your project configuration 
 in one place and still support those pesky IDE-addicted Windows 
 coders and/or cranky Linux command-line junkies. It allows you 
 to generate project files for tools that you do not own. It saves 
 the time that would otherwise be spent manually keeping several
 different toolsets in sync. And it provides an easy upgrade path
 as new versions of your favorite tools are released.

## premake4 4.3+repack1

=== debian/changelog ===
premake4 (4.3+repack1-3) unstable; urgency=medium

  [ Andreas Tille ]
  * QA upload.
    Closes: #1104768
  * Maintain package in Debian/ team on Salsa
  * Fix Homepage + watch file
    Closes: #1082596
  * Replace cdbs by dh (and use Files-Excluded)
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Replace transitional package pkg-config by pkgconf in Build-Depends
    (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add upstream metadata
  * Propagate hardening options
  + Remove redundant debian/README.source

  [ Nicolas Schodet ]
  * Fixing dependencies in pre-generated Makefile.
    (Closes: #1105641)

 -- Nicolas Schodet <nico@ni.fr.eu.org>  Tue, 27 May 2025 07:21:40 +0200

premake4 (4.3+repack1-2) unstable; urgency=low

  * Changed distribution from experimental to unstable.

 -- Cameron Hart <cam@bitshifter.net.nz>  Wed, 29 May 2013 23:49:54 +1000

premake4 (4.3+repack1-1) experimental; urgency=low

  * Initial release. (Closes: #696368)

 -- Cameron Hart <cam@bitshifter.net.nz>  Tue, 4 Apr 2013 07:38:00 +1100

=== debian/control ===
Source: premake4
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13),
               liblua5.1-0-dev,
               pkgconf
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/premake4
Vcs-Git: https://salsa.debian.org/debian/premake4.git
Homepage: https://premake.github.io/

Package: premake4
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: cross-platform build script generator
 Premake allows you to manage your project configuration
 in one place and still support those pesky IDE-addicted Windows
 coders and/or cranky Linux command-line junkies. It allows you
 to generate project files for tools that you do not own. It saves
 the time that would otherwise be spent manually keeping several
 different toolsets in sync. And it provides an easy upgrade path
 as new versions of your favorite tools are released.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.txt

=== debian/watch ===
version=4
opts="repacksuffix=+repack,dversionmangle=s/\+repack.//,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/premake/premake-4.x/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## premake4 4.3-maemo1

=== debian/changelog ===
premake4 (4.3-maemo1) unstable; urgency=low

  * "OptimizeSize" -> "Optimize"

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 15 Jul 2011 15:48:40 +0200

=== debian/control ===
Source: premake4
Section: libs
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com> 
Build-Depends: debhelper (>= 5.0.42)
Standards-Version: 3.8.1
Homepage: http://industriousone.com/premake
XSBC-Bugtracker: https://sourceforge.net/tracker/?group_id=71616&atid=531878

Package: premake4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Powerfully simple build configuration

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	make config=release

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	make clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs


	#folder 
	install -d ${CURDIR}/debian/premake4/usr/bin

	#files
	install ${CURDIR}/bin/release/premake4 ${CURDIR}/debian/premake4/usr/bin 



# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
